Rcs Outbound Messages

List RCS Outbound Messages

GET
/v1/Rcs/OutboundMessages

Gets the list of all RCS Outbound Messages, optionally filtered by parameters. This method supports pagination.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Query Parameters

Status?string

RCS outbound message status.

Value in

  • "Queued"
  • "Sent"
  • "Delivered"
  • "FallbackTriggered"
  • "Failed"
AgentId?string

Sender Agent ID (RCS identity).

Length3 <= length <= 40
To?string

Recipient phone number.

CreatedOnFrom?string

Date-time that RCS outbound message creation should be greater or equal than.

Must have ISO format (e.g. yyyy-MM-dd'T'HH:mm:ss)

Formatdate-time
CreatedOnTo?string

Date-time that RCS outbound message creation should be less than.

Must have ISO format (e.g. yyyy-MM-dd'T'HH:mm:ss)

Formatdate-time
PageSize?integer
Formatint32
Range1 <= value <= 10000
OrderByDirection?string

Possible values:

  • Ascending

  • Descending

Value in

  • "Ascending"
  • "Descending"
SearchId?string
IncludeFees?boolean

If true, fees are included into the result.

IncludeContent?boolean

If true, RCS message content is included into the result.

IncludeConversationMetadata?boolean

If true, conversation metadata is included into the result.

Response Body

curl -X GET "https://example.com/v1/Rcs/OutboundMessages"
{  "items": [    {      "sid": "RO08d9704f044a2fa13d3faa216fcf4574b64b19be32626243",      "agentId": "TestAgent",      "to": "+19876543210",      "createdOn": "2026-01-01T00:00:00Z",      "status": "Queued",      "callbackUrlOverride": "https://example.com/rcs-callback",      "fallbackType": "None",      "seenOn": "2023-09-09T15:00:00.000Z",      "content": {        "type": "Text",        "text": "Hello from RCS!",        "file": {          "url": "https://example.com/image.jpg",          "thumbnail": "https://example.com/thumbnail.jpg"        },        "cards": [          {            "title": "Welcome!",            "description": "Check out our latest offer.",            "media": {              "file": {                "url": "https://example.com/image.jpg",                "thumbnail": "https://example.com/thumbnail.jpg"              },              "mediaHeight": "Short"            },            "suggestions": [              {                "type": "Reply",                "text": "Yes, please!",                "postbackData": "reply_yes",                "url": "https://example.com",                "phoneNumber": "+19876543210",                "latitude": 37.422,                "longitude": -122.08406,                "label": "Googleplex",                "startTime": "2030-03-03T15:00:00.000+01:00",                "endTime": "2030-03-03T17:00:00.000+01:00",                "title": "Team Meeting",                "description": "Q2 planning sync",                "application": "Browser",                "webviewViewMode": "Full"              }            ]          }        ],        "suggestions": [          {            "type": "Reply",            "text": "Yes, please!",            "postbackData": "reply_yes",            "url": "https://example.com",            "phoneNumber": "+19876543210",            "latitude": 37.422,            "longitude": -122.08406,            "label": "Googleplex",            "startTime": "2030-03-03T15:00:00.000+01:00",            "endTime": "2030-03-03T17:00:00.000+01:00",            "title": "Team Meeting",            "description": "Q2 planning sync",            "application": "Browser",            "webviewViewMode": "Full"          }        ],        "orientation": "Horizontal",        "alignment": "Left",        "cardWidth": "Small"      },      "conversationMetadata": "string",      "fees": {        "platformFees": [          {            "count": 0,            "feePerUnit": 0,            "total": 0          }        ],        "passThroughFees": [          {            "count": 0,            "feePerUnit": 0,            "total": 0          }        ]      }    }  ],  "searchId": "string"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}